Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventChannelFactory_i Class Reference

The EventChannelFactory_i creates Event Channel objects and asigns IDs to it. More...

`#include <Notify_EventChannelFactory_i.h>`

Inheritance diagram for TAO_Notify_EventChannelFactory_i:

[legend]
Collaboration diagram for TAO_Notify_EventChannelFactory_i:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Notify_EventChannelFactory_i (void)
| Destructor. More...
CosNotifyChannelAdmin::EventChannelFactory_ptr | get_ref (ACE_ENV_SINGLE_ARG_DECL)
| Get the CORBA object. More...
void | shutdown (ACE_ENV_SINGLE_ARG_DECL, CORBA::Boolean destroy_children=0)
| Destroy the factory By default, the factory's lifetime is not coupled with its creations Setting the <destroy_children> flag to 'true' will destory all event_channels that were created by this factory. More...
void | event_channel_destroyed (CosNotifyChannelAdmin::ChannelID channel_id)
| Called by child EC's when they're about to go away. More...
CosNotifyFilter::FilterFactory_ptr | get_default_filter_factory (void)
| Accesor for the default filter factory shared by all EC's. More...
virtual CosNotifyChannelAdmin::EventChannel_ptr | create_channel (const CosNotification::QoSProperties &initial_qos, const CosNotification::AdminProperties &initial_admin, CosNotifyChannelAdmin::ChannelID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS, CosNotification::UnsupportedAdmin )
virtual CosNotifyChannelAdmin::ChannelIDSeq * | get_all_channels (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::EventChannel_ptr | get_event_channel (CosNotifyChannelAdmin::ChannelID id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::ChannelNotFound )
## Static Public Methods
CosNotifyChannelAdmin::EventChannelFactory_ptr | create (PortableServer::POA_ptr default_POA ACE_ENV_ARG_DECL)
| Create a factory servant and activates it with the default POA. Also creates a resource factory and assigns it this default_POA. More...
## Protected Methods
| TAO_Notify_EventChannelFactory_i (void)
| Constructor. More...
void | init_i (PortableServer::POA_ptr default_POA ACE_ENV_ARG_DECL)
| Initializes this object. More...
CosNotifyFilter::FilterFactory_ptr | create_default_filter_factory_i (ACE_ENV_SINGLE_ARG_DECL)
| Create the default filter factory. More...
## Protected Attributes
TAO_Notify_CO_Factory * | channel_objects_factory_
| The factory for channel objects. More...
TAO_Notify_POA_Factory * | poa_factory_
| The factory for POA based containers. More...
PortableServer::POA_var | my_POA_
| The POA in which we live. Filter objects and COS EC style proxys live here too. More...
PortableServer::POA_var | ec_POA_
| The POA in which we should activate EC's in. We create and own this. More...
TAO_Notify_ID_Pool_Ex< CosNotifyChannelAdmin::ChannelID, CosNotifyChannelAdmin::ChannelIDSeq > | ec_ids_
| Id generator for event channels. More...
ACE_Lock * | lock_
| The locking strategy. More...
CosNotifyFilter::FilterFactory_var | default_filter_factory_
| The default filter factory. More...

## Detailed Description

The EventChannelFactory_i creates Event Channel objects and asigns IDs to it.

It also has methods to get a previously created channel based on its ID.

## Constructor & Destructor Documentation

TAO_Notify_EventChannelFactory_i::~TAO_Notify_EventChannelFactory_i | ( | void |  | ) | `[virtual]`

| Destructor.

TAO_Notify_EventChannelFactory_i::TAO_Notify_EventChannelFactory_i | ( | void |  | ) | `[protected]`

| Constructor.

## Member Function Documentation

CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_Notify_EventChannelFactory_i::create | ( | PortableServer::POA_ptr default_POA | ACE_ENV_ARG_DECL | ) | `[static]`

| Create a factory servant and activates it with the default POA. Also creates a resource factory and assigns it this default_POA.

virtual CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_EventChannelFactory_i::create_channel | ( | const CosNotification::QoSProperties & | initial_qos,
|  | const CosNotification::AdminProperties & | initial_admin,
|  | CosNotifyChannelAdmin::ChannelID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS, CosNotification::UnsupportedAdmin )`[virtual]`

CosNotifyFilter::FilterFactory_ptr TAO_Notify_EventChannelFactory_i::create_default_filter_factory_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Create the default filter factory.

void TAO_Notify_EventChannelFactory_i::event_channel_destroyed | ( | CosNotifyChannelAdmin::ChannelID | channel_id | ) |

| Called by child EC's when they're about to go away.

CosNotifyChannelAdmin::ChannelIDSeq * TAO_Notify_EventChannelFactory_i::get_all_channels | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::FilterFactory_ptr TAO_Notify_EventChannelFactory_i::get_default_filter_factory | ( | void |  | ) |

| Accesor for the default filter factory shared by all EC's.

CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_EventChannelFactory_i::get_event_channel | ( | CosNotifyChannelAdmin::ChannelID id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::ChannelNotFound )`[virtual]`

CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_Notify_EventChannelFactory_i::get_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Get the CORBA object.

void TAO_Notify_EventChannelFactory_i::init_i | ( | PortableServer::POA_ptr default_POA | ACE_ENV_ARG_DECL | ) | `[protected]`

| Initializes this object.

void TAO_Notify_EventChannelFactory_i::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL | ,
|  | CORBA::Boolean | destroy_children = 0
| ) |

| Destroy the factory By default, the factory's lifetime is not coupled with its creations Setting the <destroy_children> flag to 'true' will destory all event_channels that were created by this factory.

## Member Data Documentation

TAO_Notify_CO_Factory* TAO_Notify_EventChannelFactory_i::channel_objects_factory_`[protected]`

| The factory for channel objects.

CosNotifyFilter::FilterFactory_var TAO_Notify_EventChannelFactory_i::default_filter_factory_`[protected]`

| The default filter factory.

TAO_Notify_ID_Pool_Ex<CosNotifyChannelAdmin::ChannelID, CosNotifyChannelAdmin::ChannelIDSeq> TAO_Notify_EventChannelFactory_i::ec_ids_`[protected]`

| Id generator for event channels.

PortableServer::POA_var TAO_Notify_EventChannelFactory_i::ec_POA_`[protected]`

| The POA in which we should activate EC's in. We create and own this.

ACE_Lock* TAO_Notify_EventChannelFactory_i::lock_`[protected]`

| The locking strategy.

PortableServer::POA_var TAO_Notify_EventChannelFactory_i::my_POA_`[protected]`

| The POA in which we live. Filter objects and COS EC style proxys live here too.

TAO_Notify_POA_Factory* TAO_Notify_EventChannelFactory_i::poa_factory_`[protected]`

| The factory for POA based containers.

The documentation for this class was generated from the following files:

- Notify_EventChannelFactory_i.h
- Notify_EventChannelFactory_i.cpp